Subject: bug#66782: 29.1; ERT tests report test redefined depending on loading sequence

From: Xiyue Deng <[email-masked]>
Date: Sat, 28 Oct 2023 12:41:19 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Xiyue Deng <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 28 Oct 2023 04:50:37 -0700
>> 
>> P.S. I also thought of another potential counter-example of preferring
>> running one test file over running many in one batch: the tests within
>> the same test file may also leave garbage for the rest of the tests
>
> We could reasonably expect from the author of a single .el test file
> to make sure the tests in that file don't interfere with one another
> and make the necessary cleanups for that purpose.  But it is much
> harder to expect the same from several disparate test files, which can
> quite frequently be written and maintained by different people.

Fair enough.  And of course ideally each test should be able to run
either independently and batched together so that running everything in
batch is possible with the nice summary :-)

-- 
Xiyue Deng